Bug 1251675 - jpeg2000 thumbnailing makes nautilus crash
jpeg2000 thumbnailing makes nautilus crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: jasper (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-08 12:01 EDT by Fabrice Bellet
Modified: 2016-07-19 13:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:25:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace (4.77 KB, text/plain)
2015-08-08 12:01 EDT, Fabrice Bellet
no flags Details

  None (edit)
Description Fabrice Bellet 2015-08-08 12:01:27 EDT
Created attachment 1060599 [details]
gdb backtrace

This image in JPEG 2000 format makes nautilus crash when trying to make a thumbnail of it:

http://bellet.info/IGNF_PVA_1-0__1949-10__C3031-0551_1949_VALRHONE_0287.jp2

The jasper image viewer (jiv) works without problem on this image, eog is also fine, the pixbuf-read from tests/ reports success. I tried also version 2.31.5, that presents the same problem.
Comment 1 Fabrice Bellet 2015-08-08 16:19:48 EDT
ok, reassigning to jasper, as this is caused by the following allocation in the stack : jpc_fix_t splitbuf[QMFB_SPLITBUFSIZE * JPC_QMFB_COLGRPSIZE]; at the beginning of function jpc_qmfb_split_colgrp(), since patch for CVE-2014-8158:

with QMFB_SPLITBUFSIZE = 4096
JPC_QMFB_COLGRPSIZE = 16
and sizeof(jpc_fix_t) = 8

Reducing QMFB_SPLITBUFSIZE to 512 or setting the stack size to unlimited are two workarounds that avoid the nautilus crash with this sample image.
Comment 2 Dominik Gronkiewicz 2015-08-24 06:52:01 EDT
This bug is so old. It affects me too, both in Fedora and Ubuntu. I have to use alternative file manager to do my job. Please fix it!
Comment 3 Fedora End Of Life 2016-07-19 13:25:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.